Groovy Documentation

## org.codehaus.groovy.grails.web.pages
[Java] Class GroovyPageTemplate

    java.lang.Object
      org.codehaus.groovy.grails.web.pages.GroovyPageTemplate

All Implemented Interfaces:
  groovy.text.Template

    public class GroovyPageTemplate

Knows how to make in instance of GroovyPageWritable.

Authors:
  Graeme Rocher

Since:
  0.5

Constructor Summary
`GroovyPageTemplate(GroovyPageMetaInfo metaInfo)`

Method Summary
`GroovyPageMetaInfo` | `getMetaInfo()`
`groovy.lang.Writable` | `make()`
`groovy.lang.Writable` | `make(java.util.Map binding)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### GroovyPageTemplate

    public GroovyPageTemplate(GroovyPageMetaInfo metaInfo)

Method Detail

### getMetaInfo

    public GroovyPageMetaInfo getMetaInfo()

### make

    public groovy.lang.Writable make()

### make

    @SuppressWarnings("rawtypes")
    public groovy.lang.Writable make(java.util.Map binding)

Groovy Documentation